use std::fmt::Write;
use chrono::prelude::*;
use dim_sdk::{plugin_info, DimPlugin};

plugin_info!(
    Plug,                    // Your main global structs name that implements `DimPlugin`
    "clock",                 // Plugin name
    "0.0.0",                 // Plugin Version (leave empty for none)
    "GPLv3"                  // Plugin license (leave empty for none)
    );

struct Plug {
}

impl Plug {
    pub fn new() -> Self {
        Self {
        }
    }
}

impl DimPlugin for Plug {
    fn init(&mut self) {
    }

    fn poll(&mut self, f: &mut dim_sdk::CBuffer) -> dim_sdk::Result<()> {
        let local: DateTime<Local> = Local::now();
        let formatted_time = local.format("%H:%M (%Y-%m-%d)").to_string();
        log::info!("Hello from clocky :3");
        write!(f, "Time: {}", formatted_time)?;
        Ok(())
    }
    fn pre_reload(&mut self) {

    }
    fn post_reload(&mut self) {

    }
    fn free(&mut self) {
    }
}




